# resolve

fun < T : Any > KClass < T >. resolve (): <Error class: unknown class>

Create a MemberScope instance to start a new reflection.

#### Receiver

the KClass.java to be reflected.

#### Return

MemberScope<T>

@ JvmStatic
@ JvmName (name = "resolveClass")
fun < T : Any > Class < T >. resolve (): KavaRef.MemberScope < T >

Create a MemberScope instance to start a new reflection.

#### Receiver

the Class to be reflected.

#### Return

MemberScope<T>

fun < T : Any > T . resolve (): KavaRef.MemberScope < T >

### Deprecated

Use asResolver() instead.

#### Replace with

    this.asResolver()

Content copied to clipboard

Create a MemberScope instance to start a new reflection.

This function has been deprecated due to naming pollution, use asResolver instead.

#### Return

MemberScope<T>

fun KavaRef.MemberScope <*>. resolve (): KavaRef.MemberScope <*>
fun MemberCondition <*, *, *>. resolve (): MemberCondition <*, *, *>
fun MemberResolver <*, *>. resolve (): MemberResolver <*, *>
fun List < MemberResolver <*, *>>. resolve (): List < MemberResolver <*, *>>

### Deprecated (with error)

You are calling asResolver() in KavaRef internal component, it's an error and should delete it.

This is a fake function call chains to avoid internal calls to themselves.